proc format;
  value region 1='Americas'     2='Africa'
               3='Europe'       4='Asia/Oceania';
  value oil    1='Yes'          0='No';
data nations;
  input nation $ 1-21 income imr region oilexprt imr80 gnp80;
  label income=  'Per Capita Income'
        imr=     'Infant Mortality Rate'
        oilexprt='Oil Exporting Country'
        imr80 =  'Infant Mortality Rate, 1980'
        gnp80 =  'Per Capita GNP, 1980' ;
  format region region. oilexprt oil.;
cards;
Afghanistan               75   400.0     4   0   185.0        .
Algeria                  400    86.3     2   1    20.5     1920
Argentina               1191    59.6     1   0    40.8     2390
Australia               3426    26.7     4   0    12.5     9820
Austria                 3350    23.7     3   0    14.8    10230
Bangladesh               100   124.3     4   0   139.0      120
Belgium                 3346    17.0     3   0    11.2    12180
Benin                     81   109.6     2   0   109.6      300
Bolivia                  200    60.4     1   0    77.3      570
Brazil                   425   170.0     1   0    84.0     2020
Britain                 2503    17.5     3   0    12.6     7920
Burma                     73   200.0     4   0   195.0      180
Burundi                   68   150.0     2   0   150.0      200
Cambodia                 123   100.0     4   0      .         .
Cameroon                 100   137.0     2   0   157.0      670
Canada                  4751    16.8     1   0    12.0    10130
Central Afr. Republic    122   190.0     2   0   190.0      300
Chad                      70   160.0     2   0   160.0      120
Chile                    590    78.0     1   0    40.1     2160
Colombia                 426    62.8     1   0    46.6     1180
Congo                    281   180.0     2   0   180.0      730
Costa Rica               725    54.4     1   0    22.3     1730
Denmark                 5029    13.5     3   0     9.1    12950
Dominican Republic       406    48.8     1   0      .         .
Ecuador                  250    78.5     1   1    72.1     1220
Egypt                    210   114.0     2   0      .         .
El Salvador              319    58.2     1   0    50.8      590
Ethiopia                  79    84.2     2   0    84.2      140
Finland                 3312    10.1     3   0      .         .
France                  3403    12.9     3   0     9.6    11730
Ghana                    217    63.7     2   0   156.0      420
Greece                  1760    27.8     3   0    18.7     4520
Guatemala                302    79.1     1   0    69.2     1110
Guinea                    79   216.0     2   0   216.0      290
Haiti                    100      .      1   0   130.0      270
Honduras                 284    39.3     1   0    31.4      560
India                     93    60.6     4   0   122.0      240
Indonesia                110   125.0     4   1   125.0      420
Iran                    1280      .      4   1   108.1        .
Iraq                     560    28.1     4   1    29.9     3020
Ireland                 2009    17.8     3   0    14.9     4880
Israel                  2526    22.1     4   0    16.0     4500
Italy                   2298    25.7     3   0    15.3     6480
Ivory Coast              387   138.0     2   0   138.0     1150
Jamaica                  727    26.2     1   0    16.2     1030
Japan                   3292    11.7     3   0     8.0     9890
Jordan                   334    21.3     4   0    14.9     1620
Kenya                    169    55.0     2   0    54.1      420
Laos                      71      .      4   0   175.0        .
Lebanon                  631    13.6     4   0    13.6        .
Liberia                  197   159.2     2   0   159.2      520
Libya                   3010   300.0     2   1   130.0     8640
Madagascar               120   102.0     2   0   102.0      350
Malawi                   130   148.3     2   0   142.1      230
Malaysia                 295    32.0     4   0    31.8     1670
Mali                      50   120.0     2   0   120.0      190
Mauritania               174   187.0     2   0   187.0      320
Mexico                   684    60.9     1   0    60.2     2050
Morocco                  279   149.0     2   0   149.0      860
Nepal                     90      .      4   0   133.0      140
Netherlands             4103    11.6     3   0     8.5    11470
New Zealand             3723    16.2     4   0    13.8     7090
Nicaragua                507    46.0     1   0    42.9      720
Niger                     70   200.0     2   0   200.0      330
Nigeria                  220    58.0     2   1   157.0     1010
Norway                  4102    11.3     3   0     8.6    12650
Pakistan                 102   124.3     4   0   124.0      350
Panama                   754    34.1     1   0    22.0     1730
Papua New Guinea         477    10.2     4   0   128.0      780
Paraguay                 347    38.6     1   0    38.6     1340
Peru                     335    65.1     1   0    70.3      950
Philippines              230    67.9     4   0    47.6      720
Portugal                 956    44.8     3   0    38.9     2350
Rwanda                    61   132.9     2   0   127.0      200
Saudi Arabia            1530   650.0     4   1   118.0    11260
Sierra Leone             148   170.0     2   0   136.0      270
Singapore               1268    20.4     4   0    13.2     4480
Somalia                   85   158.0     2   0   177.0        .
South Africa            1000    71.5     2   0    50.0     2290
South Korea              344    58.0     4   0    37.0     1520
South Yemen               96    80.0     4   0   170.0      420
Spain                   1256    15.1     3   0    15.1     5350
Sri Lanka                162    45.1     4   0    42.4      270
Sudan                    125   129.4     2   0    93.6      470
Sweden                  5596     9.6     3   0     7.3    13520
Switzerland             2963    12.8     3   0     8.6    16440
Syria                    334    21.7     4   0    13.0     1340
Taiwan                   261    19.1     4   0      .         .
Tanzania                 120   162.5     2   0   165.0      265
Thailand                 210    27.0     4   0    25.5      670
Togo                     160   127.0     2   0   127.0      410
Trinidad & Tobago        732    26.2     1   0    24.4     4370
Tunisia                  434    76.3     2   0   125.0     1310
Turkey                   435   153.0     4   0   153.0     1460
Uganda                   134   160.0     2   0   160.0      280
United States           5523    17.6     1   0    13.0    11360
Upper Volta               82   180.0     2   0   182.0      190
Uruguay                  799    40.4     1   0    48.5     2820
Venezuela               1240    51.7     1   1    33.7     3630
Vietnam                  130   100.0     4   0   115.0        .
West Germany            5040    20.4     3   0    14.7    13590
Yemen                     77    50.0     4   0   160.0      460
Yugoslavia               406    43.3     3   0    32.2     2620
Zaire                    118   104.0     2   0   104.0      220
Zambia                   310   259.0     2   0   259.0      560
;
